Bug 146714 - IE, showfoto, album view rotation: rotated TIFs are losing metadata about picture
Summary: IE, showfoto, album view rotation: rotated TIFs are losing metadata about pic...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Orientation (show other bugs)
Version: 0.9.2
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-12 22:32 UTC by Mikolaj Machowski
Modified: 2017-08-11 21:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Machowski 2007-06-12 22:32:12 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc4.0.1 
OS:                Linux

Very serious bug:

TIFs rotated in IE, showfoto, also rotated in album view (kipi-plugin?) are losing EXIF data about picture conditions: ISO, aperture, shutter speed, focus.

I think also author and caption can be lost.

Digikam 0.9.2svn ver. 673249
May be a problem with exiv2? (svn ver. 1109)

JPEGs seems unaffected by this bug.
Comment 1 caulier.gilles 2007-06-12 23:09:34 UTC
Mik,

I know this problem with tiff and Exif.

This relevant of 2 issues :

1/ libtiff : this library is used to create/read tiff file. This library do not support Exif metadata (but XMP and IPTC yes). libtiff is used by JPEGLossLess kipi-plugin to perform rotation on non-jpeg files (via ImageMagick), and by image editor to save tiff file. There is an alternative to libtiff : opentiff library, but the license is not fully opensource if i remember...


2/ Exiv2 : this library is used by digiKam to handle all metadata. It do not support yet tiff file format in writting mode. This job is under developpement (Andreas work on it). I hope that it will available for future version of Exiv2.

Note TIFF file based include major RAW files format, like DNG, NEF, CR2, etc... witch will be normally available on writting mode in the future using Exiv2

Andreas, can you give us some fresh info about tiff writting mode support in Exiv2 ? Thanks in advance...

Gilles
Comment 2 Mikolaj Machowski 2007-07-02 18:17:41 UTC
Well, this bug isn't exactly Digikam fault so should be closed. OTOH this is important thing and we shouln't lose this from our view. Leaving this as is.
Comment 3 caulier.gilles 2007-10-02 09:49:47 UTC
Mik, 

This file will be solved with digiKam for KDE4 witch support Xmp metadata. In Xmp, we can store in standard all standard Exif tags (not Makernotes, sorry)

I will implement a method to backport all current Exif info to Xmp (adns vis versa).

Gilles
Comment 4 caulier.gilles 2007-10-03 12:27:41 UTC
SVN commit 720609 by cgilles:

digiKam from trunk (KDE4) : XMP metadata management with database.

This is the first stage to control XMP metadata contents with Database contents and vis versa. This code handle XMP with current Database schema witch still the same than 0.9.x.

Marcel work currently on the new databse schema describe on the OpenOffice document available at this url :

http://websvn.kde.org/trunk/extragear/graphics/digikam/DBSCHEMA.ODS?view=log

The code will be adapted later by Marcel to handle more XMP tags according with this new schema.

This is the list of current changes :

- Preparing code to handle strings hosted in different languages (comments for example, dixit B.K.O #98462).
- Handle all Xmp.exif and Xmp.tiff tags has Exif metadata content to get photo informations set by camera.
- Do not set Iptc.Urgency tag with Rating value, but use standard Xmp.Rating tags instead. Import of Iptc.Urgency 
as Rating still running if Xmp metadata are not available. (B.K.O: 134206).
- Preparing code to handle Xmp strings set different authors(comments for example, dixit B.K.O #134476).
- Set the Tags name as Xmp.subject (keywords).
- Set the Copyright/Authors information in Xmp tags (schema inspired from Adobe Photoshop 7.0).
- Store Tags Path List into a dedicaced digiKam.org Xmp namespace as a sequence of strings. Do not use Iptc.Keywords for that. Import from Iptc still running if Xmp metadata is not available. This way is very important to restore properlly in database all tags assigned to an imported picture. There is not strings size limitation with Xmp and char encoding is always UTF-8. Nothing will be lost now.
- Xmp is always stored in pictures format witch support this metadata format : jpeg, png, and tiff.

All these changes require to update libkexiv2 and Exiv2 from trunk to compile and run digiKam properlly.

CCMAIL: digikam-devel@kde.org
CCMAIL: marcel.wiesweg@gmx.de

BUG: 134206
BUG: 149966

CCBUGS: 98462
CCBUGS: 132362
CCBUGS: 91811
CCBUGS: 134476
CCBUGS: 136260
CCBUGS: 146714




 M  +59 -44    digikam/metadatahub.cpp  
 M  +1 -1      libs/database/collectionscanner.cpp  
 M  +127 -71   libs/dmetadata/dmetadata.cpp  
 M  +5 -4      libs/dmetadata/dmetadata.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=720609
Comment 5 caulier.gilles 2008-12-05 21:30:44 UTC
Since Exiv2 0.18 support TIFF metadata writing mode, this problem diseapear with digiKam 0.10.0

I close this file now.

Gilles Caulier